VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Attributes | List of all members
Chord Struct Reference

Description of a chord. More...

`#include <ivstprocesscontext.h>`

## Public Types
enum | Masks { kChordMask = 0x0FFF, kReservedMask = 0xF000 }

## Public Attributes
uint8 | keyNote
| key note in chord
uint8 | rootNote
| lowest note in chord
int16 | chordMask
| Bitmask of a chord.

## Detailed Description

Description of a chord.

A chord is described with a key note, a root note and the Bitmask of a chord.
1st bit set: minor second; 2nd bit set: major second, and so on.
There is no bit for the keynote (root of the chord) because it is inherently always present.
Examples:

- XXXX 0000 0100 1000 (= 0x0048) -> major chord
- XXXX 0000 0100 0100 (= 0x0044) -> minor chord
- XXXX 0010 0100 0100 (= 0x0244) -> minor chord with minor seventh

See Also
  ProcessContext

## Member Enumeration Documentation

enum Masks

Enumerator
kChordMask | mask for chordMask
kReservedMask | reserved for future use

## Member Data Documentation

uint8 keyNote

key note in chord

uint8 rootNote

lowest note in chord

int16 chordMask

Bitmask of a chord.

1st bit set: minor second; 2nd bit set: major second, and so on.
There is no bit for the keynote (root of the chord) because it is inherently always present.
Examples:

- XXXX 0000 0100 1000 (= 0x0048) -> major chord
- XXXX 0000 0100 0100 (= 0x0044) -> minor chord
- XXXX 0010 0100 0100 (= 0x0244) -> minor chord with minor seventh

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.